package com.yihu.wlyy.web.patient.followup.vo;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class FollowupPlanVO {
	// 非业务主键
	protected Long id;
	// 计划标识
	private String code;
	// 标题/随访计划名称
	private String title;
	// 医生标识
	private String doctor;
	// 医生姓名
	private String doctorName;
	// 医生头像
	private String doctorPhoto;
	// 三师团队标识
	private String team;
	// 患者标识
	private String patient;
	// 患者姓名
	private String patientName;
	// 计划状态：-1暂停，0进行中，1已结束
	private int status;
	// 总问卷随访数
	private int wjAmount;
	// 已完成问卷随访数
	private int wjFinishAmount;
	// 总体测随访数
	private int tcAmount;
	// 已完成体测随访数
	private int tcFinishAmount;
	// 添加时间
	private Date czrq;
	// 随访记录
	private List<FollowUpPlanStageItemVO> followUpPlanStageItemVO = new ArrayList<FollowUpPlanStageItemVO>();
	// 随访周期纪录
	private List<FollowUpItemRecordVO> followUpItemRecordVO = new ArrayList<FollowUpItemRecordVO>();
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getDoctor() {
		return doctor;
	}
	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}
	public String getDoctorName() {
		return doctorName;
	}
	public void setDoctorName(String doctorName) {
		this.doctorName = doctorName;
	}
	public String getTeam() {
		return team;
	}
	public void setTeam(String team) {
		this.team = team;
	}
	public String getPatient() {
		return patient;
	}
	public void setPatient(String patient) {
		this.patient = patient;
	}
	public String getPatientName() {
		return patientName;
	}
	public void setPatientName(String patientName) {
		this.patientName = patientName;
	}
	public int getStatus() {
		return status;
	}
	public void setStatus(int status) {
		this.status = status;
	}
	public int getWjAmount() {
		return wjAmount;
	}
	public void setWjAmount(int wjAmount) {
		this.wjAmount = wjAmount;
	}
	public int getWjFinishAmount() {
		return wjFinishAmount;
	}
	public void setWjFinishAmount(int wjFinishAmount) {
		this.wjFinishAmount = wjFinishAmount;
	}
	public int getTcAmount() {
		return tcAmount;
	}
	public void setTcAmount(int tcAmount) {
		this.tcAmount = tcAmount;
	}
	public int getTcFinishAmount() {
		return tcFinishAmount;
	}
	public void setTcFinishAmount(int tcFinishAmount) {
		this.tcFinishAmount = tcFinishAmount;
	}
	public Date getCzrq() {
		return czrq;
	}
	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}
	public List<FollowUpPlanStageItemVO> getFollowUpPlanStageItemVO() {
		return followUpPlanStageItemVO;
	}
	public void setFollowUpPlanStageItemVO(
			List<FollowUpPlanStageItemVO> followUpPlanStageItemVO) {
		this.followUpPlanStageItemVO = followUpPlanStageItemVO;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public List<FollowUpItemRecordVO> getFollowUpItemRecordVO() {
		return followUpItemRecordVO;
	}
	public void setFollowUpItemRecordVO(
			List<FollowUpItemRecordVO> followUpItemRecordVO) {
		this.followUpItemRecordVO = followUpItemRecordVO;
	}
	public String getDoctorPhoto() {
		return doctorPhoto;
	}
	public void setDoctorPhoto(String doctorPhoto) {
		this.doctorPhoto = doctorPhoto;
	}
	
}
